Package org.firebirdsql.jdbc.metadata

## Class GetProcedures

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetProcedures

    @InternalApi
    public abstract class GetProcedures
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getProcedures(String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetProcedures` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getProcedures​(java.lang.String procedureNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getProcedures

    public final java.sql.ResultSet getProcedures​(java.lang.String procedureNamePattern)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getProcedures(String, String, String)`

#### create

    public static GetProcedures create​(DbMetadataMediator mediator)